// VArray.h: interface for the VArray class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VARRAY_H__6F53A67C_FB2E_4CB7_80CE_87A1F2DF69DF__INCLUDED_)
#define AFX_VARRAY_H__6F53A67C_FB2E_4CB7_80CE_87A1F2DF69DF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class VArray  
{
public:
	int GetCount();
	VString * Get(int index);
	VString * GetLast();
	void Add(char *input);
	VArray();
	virtual ~VArray();

private:
	void MemError();
	int count;
	typedef struct link
	{
		link *next; // Pointer to the next link
		VString *data; // Pointer to the VString
	}; // A list entry
	link *head; // Pointer to the START of the list
	link *tail; // Pointer to the last element of the list
	link *lastlink; // Pointer to the last element 
	int lastget; // Int with the number of the last get

};

#endif // !defined(AFX_VARRAY_H__6F53A67C_FB2E_4CB7_80CE_87A1F2DF69DF__INCLUDED_)
